Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.svg
Class AFPGraphicsConfiguration

    java.lang.Object
      java.awt.GraphicsConfiguration
          org.apache.fop.svg.GraphicsConfiguration
              org.apache.fop.afp.svg.AFPGraphicsConfiguration

public class AFPGraphicsConfiguration
extends GraphicsConfiguration

Our implementation of the class that returns information about roughly what we can handle and want to see (alpha for example).

Constructor Summary
`AFPGraphicsConfiguration()`

Method Summary
`java.awt.image.BufferedImage` | `createCompatibleImage(int width, int height)` Construct a buffered image with an alpha channel.
`java.awt.image.BufferedImage` | `createCompatibleImage(int width, int height, int transparency)` Construct a buffered image with an alpha channel, unless transparencty is OPAQUE (no alpha at all).
`java.awt.Rectangle` | `getBounds()` TODO: This should return the page bounds in Pts, I couldn't figure out how to get this for the current page (this still works for now, but it should be fixed...).
`java.awt.image.ColorModel` | `getColorModel()` Return a good default color model for this 'device'.
`java.awt.image.ColorModel` | `getColorModel(int transparency)` Return a good color model given `transparency`
`java.awt.geom.AffineTransform` | `getDefaultTransform()` The default transform (1:1).
`java.awt.GraphicsDevice` | `getDevice()`
`java.awt.geom.AffineTransform` | `getNormalizingTransform()` The normalizing transform (1:1) (since we currently render images at 72dpi, which we might want to change in the future).

Methods inherited from class org.apache.fop.svg.GraphicsConfiguration
`createCompatibleVolatileImage, createCompatibleVolatileImage`

Methods inherited from class java.awt.GraphicsConfiguration
`createCompatibleVolatileImage, getBufferCapabilities, getImageCapabilities`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPGraphicsConfiguration

    public AFPGraphicsConfiguration()

Method Detail

### createCompatibleImage

    public java.awt.image.BufferedImage createCompatibleImage(int width,
                                                              int height,
                                                              int transparency)

  Construct a buffered image with an alpha channel, unless transparencty is OPAQUE (no alpha at all).

  Parameters:
    `width` - the width of the image
    `height` - the height of the image
    `transparency` - the alpha value of the image
  Returns:
    the new buffered image

### createCompatibleImage

    public java.awt.image.BufferedImage createCompatibleImage(int width,
                                                              int height)

  Construct a buffered image with an alpha channel.

  Parameters:
    `width` - the width of the image
    `height` - the height of the image
  Returns:
    the new buffered image

### getBounds

    public java.awt.Rectangle getBounds()

  TODO: This should return the page bounds in Pts, I couldn't figure out how to get this for the current page (this still works for now, but it should be fixed...).

  Returns:
    the bounds of the page

### getColorModel

    public java.awt.image.ColorModel getColorModel()

  Return a good default color model for this 'device'.

  Returns:
    the colour model for the configuration

### getColorModel

    public java.awt.image.ColorModel getColorModel(int transparency)

  Return a good color model given `transparency`

  Parameters:
    `transparency` - the alpha value for the colour model
  Returns:
    the colour model for the configuration

### getDefaultTransform

    public java.awt.geom.AffineTransform getDefaultTransform()

  The default transform (1:1).

  Returns:
    the default transform for the configuration

### getNormalizingTransform

    public java.awt.geom.AffineTransform getNormalizingTransform()

  The normalizing transform (1:1) (since we currently render images at 72dpi, which we might want to change in the future).

  Returns:
    the normalizing transform for the configuration

### getDevice

    public java.awt.GraphicsDevice getDevice()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.